import { HashObject } from "../../2d/HashObject";
import { IAnimationTrack } from "../../2d/AnimationClip";
import { MixBlend,MixDirection } from "./utils";

export class BaseTrack extends HashObject implements IAnimationTrack {
    //和原版少了lastTime，事件才用到
    setValue(
        time: number,
        alpha: number = 1,
        blend: MixBlend = MixBlend.replace,
        direction: MixDirection = MixDirection.in
    ) {

    }
    resetValue() {

    }
    destroy() {

    }
}